summaryrefslogtreecommitdiff
path: root/server/test/docker/lib
diff options
context:
space:
mode:
authorVedang Manerikar <ved.manerikar@gmail.com>2022-11-29 11:43:45 +0530
committerVedang Manerikar <ved.manerikar@gmail.com>2022-11-29 11:43:45 +0530
commit1885cefc24883c220cdd4acafdf1d14f290a6979 (patch)
tree676d9983dccdd29c4f012e3da5aaf74a38c095fa /server/test/docker/lib
parentd6980bc3273e1cf1a73feee6bb523d1568405685 (diff)
parent997467ad3bcd23de22624c538d14863479b27cba (diff)
Merge branch 'feature/emacs-26.3'v1.0.0
Creating a merge commit in order to create a 1.0.0 tag. Note that this merge has breaking changes, as described in the NEWS section. * feature/emacs-26.3: autobuild: Recognize NetBSD and install packages via pkgin Bump the minimum Emacs version to 26.3! 🎉🤞 Extend docker testing framework to test against Emacs versions Update and cleanup the Install section Make sure pkg-config is correctly set in autobuild Add support for Alpine Linux to autobuild Render crisp images for HiDPI screens by default Remove Emacs 24.4 guards for cua-mode Remove compatibility function for image-mode-winprops Remove pdf-util-window-pixel-width, fallback to window-body-width Remove macro / function re-definitions Remove bugfix for imenu in Emacs 24.3 and below Remove guards in `pdf-virtual` tests and code. Explicitly declare documentation files as Org files Add a byteclean target in the Makefile
Diffstat (limited to 'server/test/docker/lib')
-rwxr-xr-xserver/test/docker/lib/run-tests21
1 files changed, 18 insertions, 3 deletions
diff --git a/server/test/docker/lib/run-tests b/server/test/docker/lib/run-tests
index 43fe5e5..31887bf 100755
--- a/server/test/docker/lib/run-tests
+++ b/server/test/docker/lib/run-tests
@@ -2,8 +2,23 @@
PATH="$(dirname "$0")":$PATH
-set -e
+run_tests_exit_success()
+{
+ echo "==============================="
+ echo " Elisp Tests succeeded. :O) "
+ echo "==============================="
+ exit 0
+}
-yes-or-enter | ./autobuild -i /bin
-yes-or-enter | ./autobuild -i /usr/bin | \
+set -e
+# Check that install completes successfully
+yes-or-enter | ./server/autobuild -i /bin
+# Check that re-install skips package installation
+yes-or-enter | ./server/autobuild -i /usr/bin | \
grep -q "Skipping package installation (already installed)"
+# Check that lisp tests run correctly, if emacs is installed and available on PATH
+echo
+if which emacs > /dev/null 2> /dev/null; then
+ echo "Emacs found installed! Running elisp tests"
+ make test && run_tests_exit_success
+fi